# List webhook events **GET /api/v1/webhooks/events** Returns the active webhook event types the authenticated API key owner can subscribe to. ## Servers - http://api.example.com: http://api.example.com () ## Parameters ### Headers - **X-API-KEY** (string) Public API key issued from the Lumepay API key management flow. - **X-API-SECRET** (string) API secret paired with the public API key. ## Responses ### 200 Webhook events returned successfully #### Body: application/json (array[object]) - **eventType** (string) - **resourceType** (string) - **event** (string) - **displayName** (string) - **description** (string) ### 403 Authenticated API key is not allowed to perform this action #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 500 Unexpected server error #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 401 API key authentication failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 400 Request validation failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)